Subject: bug#37832: closed (Re: bug#41071: make-frame with internal-border face not working)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Sep 2020 16:24:02 +0000

Your bug report

#41071: internal-border face ignored in Emacs 26.3 for macOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41071: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41071
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41071: make-frame with internal-border face not working
From: Alan Third <[email-masked]>
To: 王凯 <[email-masked]>, [email-masked]
Date: Fri, 25 Sep 2020 17:23:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Sep 23, 2020 at 02:03:27PM +0100, Alan Third wrote:
> On Mon, May 04, 2020 at 03:30:09PM +0800, 王凯 wrote:
> > 
> > (defface test
> >   '((t (:inherit default :background "green")))
> >   "Face used by the ivy-posframe."
> >   :group 'ivy-posframe)
> > 
> > (set-face-background
> > 'internal-border
> > (face-attribute 'test :background)
> > (make-frame `((internal-border-width . 100)
> >                (parent-frame . ,(window-frame)))))
> > 
> > (set-face-background
> > 'internal-border
> > (face-attribute 'test :background)
> > (make-frame `((internal-border-width . 100))))
> > 
> > Eval code above in emacs, internal-border-width works but the
> > :background not.
> 
> Patch against master attached. It appears to work correctly here, but
> I'm slightly concerned it may not work so well on older versions of
> macOS, but we'll probably just have to wait and see if anyone
> complains.

I've pushed the change to master and therefore am closing this bug
report.
-- 
Alan Third

Subject: internal-border face ignored in Emacs 26.3 for macOS
From: Andrea Cardaci <[email-masked]>
To: [email-masked]
Date: Sun, 20 Oct 2019 15:25:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The `internal-border` face is ignored and the `default` face
background is used instead. I'm experiencing this with Emacs 26.3
installed with `brew cask install emacs`.

Reproduce with the following `.emacs`:

(custom-set-variables
 '(default-frame-alist '((internal-border-width . 100))))

(custom-set-faces
 '(default ((t (:background "black" :foreground "white"))))
 '(internal-border ((t (:background "red")))))

Works fine on Linux version 26.1.

Andrea